> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loyalty.dog/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Pass Template Distribution Restrictions

> ### Update Pass Template Distribution Restrictions

Update the distribution restrictions of the pass template.

**Parameters:**
- `restrictions` (TemplateRestrictions): The updated distribution restrictions data.
- `template` (Template): The pass template.

**Returns:**
- `dict`: The updated distribution restrictions of the pass template.



## OpenAPI

````yaml https://api.loyalty.dog/openapi.json put /v2/templates/{templateId}/restrictions
openapi: 3.1.0
info:
  title: LoyaltyDog
  description: >-

    Welcome to the LoyaltyDog API! This API provides access to our loyalty
    program features, allowing you to integrate with various platforms and
    manage your loyalty data.


    Want to query LoyaltyDog via an AI assistant (Claude, Cursor, Windsurf)? See
    the [MCP Integration guide](https://loyaltydog.ai/playground#mcp).
        
  termsOfService: https://loyalty.dog/loyalty-program-terms-service
  contact:
    name: LoyaltyDog Support
    url: https://loyalty.dog/contact-us
    email: support@loyalty.dog
  version: 1.0.1
servers:
  - url: https://api.loyalty.dog
    description: Production
security:
  - bearerAuth: []
paths:
  /v2/templates/{templateId}/restrictions:
    put:
      tags:
        - Pass Templates > Distribution Restrictions
      summary: Update Pass Template Distribution Restrictions
      description: >-
        ### Update Pass Template Distribution Restrictions


        Update the distribution restrictions of the pass template.


        **Parameters:**

        - `restrictions` (TemplateRestrictions): The updated distribution
        restrictions data.

        - `template` (Template): The pass template.


        **Returns:**

        - `dict`: The updated distribution restrictions of the pass template.
      operationId: >-
        update_pass_template_distribution_restrictions_v2_templates__templateId__restrictions_put
      parameters:
        - name: templateId
          in: path
          required: true
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: string
            title: Templateid
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TemplateRestrictions'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    TemplateRestrictions:
      properties:
        quantityRestriction:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quantityrestriction
        redemptionRestriction:
          anyOf:
            - type: integer
            - type: 'null'
          title: Redemptionrestriction
        passwordProtection:
          anyOf:
            - type: string
            - type: 'null'
          title: Passwordprotection
        sharingRestriction:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sharingrestriction
        dateRestriction:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Daterestriction
        returningUserRestriction:
          anyOf:
            - $ref: '#/components/schemas/ReturningUserRestrictionType'
            - type: 'null'
        passSharingMethod:
          anyOf:
            - $ref: '#/components/schemas/TemplateSharingMethod'
            - type: 'null'
      type: object
      title: TemplateRestrictions
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReturningUserRestrictionType:
      type: string
      enum:
        - user_decides
        - show_existing
        - create_new
      title: ReturningUserRestrictionType
    TemplateSharingMethod:
      type: string
      enum:
        - pass
        - url
        - disabled
      title: TemplateSharingMethod
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT access token obtained from POST /v2/token.

````